Library Version 11.2.5.3

DB_ENV->set_mp_tablesize()
Prev | Chapter 8. The DB_MPOOLFILE Handle | Next

## DB_ENV->set_mp_tablesize()

    #include <db.h>

    int
    DB_ENV->set_mp_tablesize(DB_ENV *dbenv, u_int32_t tablesize);

The `DB_ENV->set_mp_tablesize()` method overrides the calculated hash table size. This value is then internally adjusted to a nearby prime number in order to enhance the hashing algorithm.

This method may be called only before the environment is opened.

### Parameters

#### tablesize

The table size parameter specifies the size of the buffer pool hash table. It is adjusted to a near prime number to enhance the hashing algorithm.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods, DB_ENV->get_mp_tablesize()

Prev | Up | Next
DB_ENV->set_mp_pagesize() | Home | DB_MPOOLFILE->close()